package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class ECondExprC extends BasicExpr {
    public final CondExpr condexpr_;

    public ECondExprC(CondExpr p1) {

        condexpr_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.condexpr_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.ECondExprC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.ECondExprC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.ECondExprC) o;
            return this.condexpr_.equals(x.condexpr_);
        }
        return false;
    }


}
